package com.xmomen.module.wx.model;

/**
 * 微信用户信息类
 */
public class WeixinUserInfo {

    private String errcode;

    /**
     * 关注的公众号
     */
    private String publicUid;

    /**
     * 是否关注 0为未关注，1为关注
     */
    private int subscribe;

    /**
     * 用户的标识，对当前公众号唯一
     */
    private String openid;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
     */
    private int sex;

    /**
     * 用户的语言，简体中文为zh_CN
     */
    private String language;

    /**
     * 用户所在城市
     */
    private String city;

    /**
     * 用户所在省份
     */
    private String province;

    /**
     * 用户所在国家
     */
    private String country;

    /**
     * 用户头像
     */
    private String headimgurl;

    /**
     * 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
     */
    private long subscribe_time;

    /**
     * 公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注
     */
    private String remark;

    /**
     * 用户所在的分组ID
     */
    //用户组ID
    private String groupid;

    //获取用户公开的UID
    public String getPublicUid() {
        return publicUid;
    }

    //设置用户公开的UID
    public void setPublicUid(String publicUid) {
        this.publicUid = publicUid;
    }

    //获取用户是否订阅
    public int getSubscribe() {
        return subscribe;
    }

    //设置用户是否订阅
    public void setSubscribe(int subscribe) {
        this.subscribe = subscribe;
    }

    //获取用户的openid
    public String getOpenid() {
        return openid;
    }

    //设置用户的openid
    public void setOpenid(String openid) {
        this.openid = openid;
    }

    //获取用户的昵称
    public String getNickname() {
        return nickname;
    }

    //设置用户的昵称
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    //获取用户的性别
    public int getSex() {
        return sex;
    }

    //设置用户的性别
    public void setSex(int sex) {
        this.sex = sex;
    }

    //获取用户的语言
    public String getLanguage() {
        return language;
    }

    //设置用户的语言
    public void setLanguage(String language) {
        this.language = language;
    }

    //获取用户所在城市
    public String getCity() {
        return city;
    }

    //设置用户所在城市
    public void setCity(String city) {
        this.city = city;
    }

    //获取用户所在省份
    public String getProvince() {
        return province;
    }

    //设置用户所在省份
    public void setProvince(String province) {
        this.province = province;
    }

    //获取用户所在国家
    public String getCountry() {
        return country;
    }

    //设置用户所在国家
    public void setCountry(String country) {
        this.country = country;
    }

    //获取用户头像
    public String getHeadimgurl() {
        return headimgurl;
    }

    //设置用户头像
    public void setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
    }

    //获取用户订阅时间
    public long getSubscribe_time() {
        return subscribe_time;
    }

    //设置用户订阅时间
    public void setSubscribe_time(long subscribe_time) {
        //微信传过来的时间戳为秒，需要乘以100
        this.subscribe_time = subscribe_time * 1000;
    }

    //获取用户备注
    public String getRemark() {
        return remark;
    }

    //设置用户备注
    public void setRemark(String remark) {
        this.remark = remark;
    }

    //获取用户组ID
    public String getGroupid() {
        return groupid;
    }

    //设置用户组ID
    public void setGroupid(String groupid) {
        this.groupid = groupid;
    }

    //获取错误码
    public String getErrcode() {
        return errcode;
    }

    //设置错误码
    public void setErrcode(String errcode) {
        this.errcode = errcode;
    }
}
